OpenMesh: OpenMesh::SmartHalfedgeHandle Struct Reference

| OpenMesh

Public Member Functions | List of all members
OpenMesh::SmartHalfedgeHandle Struct Reference
Inheritance diagram for OpenMesh::SmartHalfedgeHandle:
[legend]
Collaboration diagram for OpenMesh::SmartHalfedgeHandle:
[legend]

## Public Member Functions
| SmartHalfedgeHandle (int _idx=-1, const PolyConnectivity *_mesh=nullptr)
SmartHalfedgeHandle | next () const
| Returns next halfedge handle.
SmartHalfedgeHandle | prev () const
| Returns previous halfedge handle.
SmartHalfedgeHandle | opp () const
| Returns opposite halfedge handle.
SmartVertexHandle | to () const
| Returns vertex pointed to by halfedge.
SmartVertexHandle | from () const
| Returns vertex at start of halfedge.
SmartEdgeHandle | edge () const
| Returns incident edge of halfedge.
SmartFaceHandle | face () const
| Returns incident face of halfedge.
PolyConnectivity::ConstHalfedgeLoopRange | loop () const
| Returns a range of halfedges in the face of the halfedge (or along the boundary) (PolyConnectivity::hl_range())
PolyConnectivity::ConstHalfedgeLoopCWRange | loop_cw () const
| Returns a range of halfedges in the face of the halfedge (or along the boundary) (PolyConnectivity::hl_cw_range())
PolyConnectivity::ConstHalfedgeLoopCCWRange | loop_ccw () const
| Returns a range of halfedges in the face of the halfedge (or along the boundary) (PolyConnectivity::hl_ccw_range())
Public Member Functions inherited from OpenMesh::SmartBaseHandle
| SmartBaseHandle (const PolyConnectivity *_mesh=nullptr)
const PolyConnectivity * | mesh () const
| Get the underlying mesh of this handle.
Public Member Functions inherited from OpenMesh::HalfedgeHandle
| HalfedgeHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)
Public Member Functions inherited from OpenMesh::SmartHandleStatusPredicates< SmartHalfedgeHandle >
bool | feature () const
| Returns true iff the handle is marked as feature.
bool | selected () const
| Returns true iff the handle is marked as selected.
bool | tagged () const
| Returns true iff the handle is marked as tagged.
bool | tagged2 () const
| Returns true iff the handle is marked as tagged2.
bool | locked () const
| Returns true iff the handle is marked as locked.
bool | hidden () const
| Returns true iff the handle is marked as hidden.
bool | deleted () const
| Returns true iff the handle is marked as deleted.
Public Member Functions inherited from OpenMesh::SmartHandleBoundaryPredicate< SmartHalfedgeHandle >
bool | is_boundary () const
| Returns true iff the handle is boundary.

The documentation for this struct was generated from the following files:

- OpenMesh/Core/Mesh/SmartHandles.hh
- OpenMesh/Core/Mesh/PolyConnectivity_inline_impl.hh